import { DocumentNode, GraphQLSchema } from "graphql";
import { Metadata } from "./GraphQLEventbus";
export declare type EventBusSubscriberCb = (props: {
    topic: string;
    payload: {};
    fullData: {};
    metadata: Metadata;
}) => Promise<unknown>;
export interface SubscriberConfig {
    queries: DocumentNode;
    schema: GraphQLSchema;
    cb: EventBusSubscriberCb;
}
export interface PublisherConfig {
    schema: GraphQLSchema;
}
